## ucar.multiarray
Class ClipMap

    java.lang.Object
      ucar.multiarray.ConcreteIndexMap
          ucar.multiarray.ClipMap

All Implemented Interfaces:
  IndexMap

public class ClipMap
extends ConcreteIndexMap

Use with MultiArrayProxy to limit the bounds of an index to the delegate on a given dimension.

You could "clip" a 2d MultiArray to a window using 2 of these.

See Also:
  `IndexMap`, `MultiArrayProxy`

Nested Class Summary

Nested classes inherited from class ucar.multiarray.ConcreteIndexMap
`ConcreteIndexMap.ZZMap`

Field Summary

Fields inherited from class ucar.multiarray.ConcreteIndexMap
`iMap_, lengthsMap_`

Constructor Summary
`ClipMap(ConcreteIndexMap prev, int position, int low, int extent)` Create an IndexMap which clips along a specific dimension and is functionally composed with another IndexMap.
`ClipMap(int position, int low, int extent)` Create an IndexMap which clips along a specific dimension.

Method Summary
`static void` `main(String[] args)`

Methods inherited from class ucar.multiarray.ConcreteIndexMap
`getLengths, getOutputLength, getRank, getTransformed, init, init, link, link, setInput, setLengths, toString, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClipMap

    public ClipMap(int position,
                   int low,
                   int extent)

  Create an IndexMap which clips along a specific dimension. Using this in an MultiArrayProxy will result in the the length of dimension `position` appearing as `extent`.

Parameters:
  `position` - the dimension number to clip along
  `low` - the minimum value. 0 will map to this
  `extent` - the new dimension length at position

### ClipMap

    public ClipMap(ConcreteIndexMap prev,
                   int position,
                   int low,
                   int extent)

  Create an IndexMap which clips along a specific dimension and is functionally composed with another IndexMap. Using this in an MultiArrayProxy will result in the the length of dimension `position` appearing as `extent`.

Parameters:
  `prev` - IndexMap to be composed with this.
  `position` - the dimension number to clip along
  `low` - the minimum value. 0 will map to this
  `extent` - the new dimension length at position

Method Detail

### main

    public static void main(String[] args)